NXOpen .NET Reference  12.0.0
NXOpen.Routing.Stock Member List

This is the complete list of members for NXOpen.Routing.Stock, including all inherited members.

AddSegments(NXOpen.Curve[] segments)NXOpen.Routing.Stock
AlignStock(NXOpen.Vector3d vector)NXOpen.Routing.Stock
AttributeType enum nameNXOpen.NXObject
ColorBodies()NXOpen.Routing.Stock
CreateAttributeIterator()NXOpen.NXObject
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteCharacterstics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.Stock
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
FindObject(string journalIdentifier)NXOpen.NXObject
GetAnchor()NXOpen.Routing.Stock
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBodies()NXOpen.Routing.Stock
GetBodySegmentMap(NXOpen.Features.Feature feature, out NXOpen.Body body, out NXOpen.Curve[] stockSegments, out NXOpen.Curve[] pathSegments)NXOpen.Routing.Stock
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetCharacteristics()NXOpen.Routing.Stock
GetComponent()NXOpen.Routing.Stock
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetCrossSection()NXOpen.Routing.Stock
GetDestinationCharacteristics()NXOpen.Routing.Stock
GetFeatures()NXOpen.Routing.Stock
GetFlippedStatus()NXOpen.Routing.Stock
GetHarnessDevice()NXOpen.Routing.Stock
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerCharacteristic(string name)NXOpen.Routing.Stock
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetNameStatus()NXOpen.Routing.Stock
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetOriginalLength()NXOpen.Routing.Stock
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetPorts(out NXOpen.Routing.StockPort startPort, out NXOpen.Routing.StockPort endPort)NXOpen.Routing.Stock
GetProfileEnd()NXOpen.Routing.Stock
GetRealAttribute(string title)NXOpen.NXObject
GetRealCharacteristic(string name)NXOpen.Routing.Stock
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetRotationAngle()NXOpen.Routing.Stock
GetSegments()NXOpen.Routing.Stock
GetStockData()NXOpen.Routing.Stock
GetStockStyle()NXOpen.Routing.Stock
GetStockUse()NXOpen.Routing.Stock
GetStringAttribute(string title)NXOpen.NXObject
GetStringCharacteristic(string name)NXOpen.Routing.Stock
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetTwistAngle()NXOpen.Routing.Stock
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
IsOccurrenceNXOpen.NXObject
IsSpaceReservation()NXOpen.Routing.Stock
JournalIdentifierNXOpen.NXObject
NameNXOpen.NXObject
NegateOffsetsFlagNXOpen.Routing.Stock
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
RemoveSegments(NXOpen.Curve[] segments)NXOpen.Routing.Stock
RenameStockComponent(string partName)NXOpen.Routing.Stock
SetAnchor(NXOpen.Routing.Anchor anchor)NXOpen.Routing.Stock
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetCharacteristic(string name, int value)NXOpen.Routing.Stock
SetCharacteristic(string name, double value)NXOpen.Routing.Stock
SetCharacteristic(string name, string value)NXOpen.Routing.Stock
SetCharacteristic2(string title, int value)NXOpen.Routing.Stock
SetCharacteristic2(string title, double value)NXOpen.Routing.Stock
SetCharacteristic2(string title, string value)NXOpen.Routing.Stock
SetCharacteristics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.Stock
SetCharacteristics2(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.Stock
SetCrossSection(NXOpen.Routing.CrossSection crossSection)NXOpen.Routing.Stock
SetFlippedStatus(NXOpen.Routing.Flip flipped)NXOpen.Routing.Stock
SetName(string name)NXOpen.NXObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetProfileEnd(NXOpen.Routing.ProfileFrom profileEnd)NXOpen.Routing.Stock
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetRotationAngle(double rotationAngle)NXOpen.Routing.Stock
SetStockData(NXOpen.Routing.StockData stockData)NXOpen.Routing.Stock
SetStockStyle(NXOpen.Routing.StockStyle style)NXOpen.Routing.Stock
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetTwistAngle(double twistAngle)NXOpen.Routing.Stock
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
SyncComponentAttrs(bool isNewPart)NXOpen.Routing.Stock
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.